Bug 508352 - (pxe-kexec) Review Request: pxe-kexec - kexec boot from a PXE server
Review Request: pxe-kexec - kexec boot from a PXE server
Status: CLOSED DUPLICATE of bug 530772
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
http://pxe-kexec.berlios.de/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 13:21 EDT by Ed Swierk
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-24 18:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2009-06-26 13:21:39 EDT
Spec URL: http://www-cs-students.stanford.edu/~eswierk/misc/pxe-kexec/pxe-kexec.spec
SRPM URL: http://www-cs-students.stanford.edu/~eswierk/misc/pxe-kexec/pxe-kexec-0.1.7-1.fc11.src.rpm
Description: pxe-kexec reads a PXELINUX configuration file, prompts the user for an entry like the PXELINUX program would do and finally boots that entry using Kexec.
Comment 1 Julian Aloofi 2009-07-12 18:02:56 EDT
OK, some comments on the package:
1.)In the spec file, you can't use plain GPL as a license. The source code says GPLv2 or any later, so please use GPLv2+
2.)Your spec file does not contain an URL to the upstream project page.
As far as I can see it's here: http://pxe-kexec.berlios.de/

No further complaints from me for now.
Comment 2 Susi Lehtola 2009-07-12 18:26:59 EDT
Ed: instead of 
 cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
use
 %{cmake} ..
as this will use all of the necessary declarations.


Julian: you'll have to do a full review...
Comment 3 Ed Swierk 2009-07-13 15:40:33 EDT
Thanks for your comments, Julian and Jussi. I have updated the spec file and srpm.

Spec URL:
http://www-cs-students.stanford.edu/~eswierk/misc/pxe-kexec/pxe-kexec.spec
SRPM URL:
http://www-cs-students.stanford.edu/~eswierk/misc/pxe-kexec/pxe-kexec-0.1.7-2.fc11.src.rpm
Comment 4 Susi Lehtola 2009-07-14 04:38:23 EDT
Ed: I can sponsor you if you show me that you know the Fedora guidelines (most importantly the Packaging Guidelines and the Review Guidelines). This you can do by submitting another package for review, and performing a couple of informal reviews of packages of other people.

Please perform informal reviews only of package not tagged with the FE-NEEDSPONSOR blocker bug, as I will have to perform formal reviews of these packages after you.

I will perform the formal review on this package after Julian has done the informal one.

After you have been sponsored you will be able to perform formal reviews of packages of other people. We have a long review queue at the moment and we need reviewers!
Comment 5 Julian Aloofi 2009-07-14 07:55:02 EDT
Here comes the informal review:

rpmlint output of all files is clean:
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. NEEDSWORK
- You could leave some space inbetween the spec file sections

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.
OK
MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc. OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. NEEDSWORK
- Time stamps are not preserved, add INSTALL="install -p" to make install in the %install section

MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. N/A
SHOULD: The package builds in mock. OK
Comment 6 Susi Lehtola 2009-07-14 08:05:26 EDT
(In reply to comment #5)
> Here comes the informal review:
> 
> rpmlint output of all files is clean:
> 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
> 
> MUST: The package does not yet exist in Fedora. The Review Request is not a
> duplicate. OK
> MUST: The spec file for the package is legible and macros are used
> consistently. NEEDSWORK
> - You could leave some space inbetween the spec file sections

Oh, there's no need for that - the spacing is ideal: the sections are clearly visible and the spec file is compact.
Comment 7 Susi Lehtola 2009-07-14 08:14:32 EDT
(In reply to comment #5)
> MUST: Optflags are used and time stamps preserved. NEEDSWORK
> - Time stamps are not preserved, add INSTALL="install -p" to make install in
> the %install section

This project doesn't use autotools, so this doesn't work. Also there are no files that need time stamps to be preserved: the binary is created during compilation and so is the man page.
Comment 8 Julian Aloofi 2009-07-14 08:19:44 EDT
(In reply to comment #7)
> This project doesn't use autotools, so this doesn't work. Also there are no
> files that need time stamps to be preserved: the binary is created during
> compilation and so is the man page.  

Oops. No problems then I'd say.
Comment 9 Susi Lehtola 2009-07-14 08:22:34 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSWORK
- Source file does not match upstream:
b844e96b9416602e565377f18a2dc26f  pxe-kexec-0.1.7.tar.bz2
3aa6f95a31a3e7eadc363dec9d8321d7  ../SOURCES/pxe-kexec-0.1.7.tar.bz2

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A

MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
- I recommend using
 %{_sbindir}/pxe-kexec
 %{_mandir}/man8/pxe-kexec.8.*
instead of
 %{_sbindir}/*
 %{_mandir}/man*/*
as the former is clearer.

MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Drop INSTALL, it doesn't contain any useful information.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 11 Susi Lehtola 2009-07-15 17:17:28 EDT
Source matches now upstream:
 3aa6f95a31a3e7eadc363dec9d8321d7  pxe-kexec-0.1.7.tar.bz2
 3aa6f95a31a3e7eadc363dec9d8321d7  ../SOURCES/pxe-kexec-0.1.7.tar.bz2
INSTALL has been dropped from %doc (and %files has been rewritten).

This package is good to go.

I won't approve it formally yet, since you won't be able to import it anyway before I've sponsored you. And before I do that you need to do the things in comment #4.
Comment 12 Ed Swierk 2009-07-15 17:41:43 EDT
So I need to be sponsored before this package can go into Fedora, and I can't be sponsored until I submit another package besides this one?  In other words, newbies like me can't just submit one package?  Surely I misunderstand something; you can't be saying that my work on this package is pointless until I do some more work on a completely unrelated package.
Comment 13 Susi Lehtola 2009-07-15 17:55:54 EDT
(In reply to comment #12)
> So I need to be sponsored before this package can go into Fedora, and I can't
> be sponsored until I submit another package besides this one?  In other words,
> newbies like me can't just submit one package?  Surely I misunderstand
> something; you can't be saying that my work on this package is pointless until
> I do some more work on a completely unrelated package.  

Normally people who want to become packagers are interested in packaging more stuff than just one package. Becoming a packager means that you become able to perform package reviews, and thus packager status has some power and responsibility.

The idea behind the sponsorship system is to guarantee that every packager knows the Fedora guidelines. It's the packager who is sponsored, not the package: 
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored#Sponsorship_model
Comment 14 Susi Lehtola 2009-08-04 04:23:55 EDT
Just do the informal reviews and I will sponsor you.
Comment 15 Susi Lehtola 2009-08-16 05:12:49 EDT
ping?
Comment 16 Ed Swierk 2009-08-19 21:47:49 EDT
I'm on vacation for the next few weeks and hope to finish this when I return.
Comment 17 Susi Lehtola 2009-09-07 11:18:05 EDT
ping?
Comment 18 Bernhard Walle 2009-10-10 13:37:36 EDT
Upstream project moved to http://code.google.com/p/pxe-kexec/.
Comment 19 Susi Lehtola 2009-10-21 03:19:01 EDT
ping again?
Comment 20 Ed Swierk 2009-10-22 19:15:21 EDT
I'm still swamped. I've sent a message to fedora-devel-list in the hope that someone more reliable than me might pick up this package.
Comment 21 Ed Swierk 2009-10-23 16:37:08 EDT
Scott_Collier@dell.com responded on fedora-devel-list:

> I'll take it if that's ok.  I'm new to packaging and looking for more
> experience.
> 
> -Scott
Comment 22 Scott Collier 2009-10-24 17:57:47 EDT
I created bug: https://bugzilla.redhat.com/show_bug.cgi?id=530772

Thanks Ed.
Comment 23 Susi Lehtola 2009-10-24 18:38:01 EDT
Closing bug as duplicate.

*** This bug has been marked as a duplicate of bug 530772 ***

Note You need to log in before you can comment on or make changes to this bug.